<?php $full_image_url = get_the_post_thumbnail_url( get_the_ID(), 'medium' ); ?>
<div <?php post_class( '' ); ?>>
	<div class="service-item-current-style1" style="--service-current-style1-bg-featured-image: url('<?php echo esc_url($full_image_url);?>');">
		<div class="service-inner">
			<div class="service-thumb-wrapper">
				<div class="service-icon">
					<?php mascot_core_intreon_wp_get_cpt_shortcode_template_part( 'icon', null, 'services/tpl', $params, false ); ?>
				</div>
			</div>
			<div class="service-content">
				<?php mascot_core_intreon_wp_get_cpt_shortcode_template_part( 'title', null, 'services/tpl', $params, false ); ?>
				<?php if ( $show_excerpt == 'yes' ) : ?>
					<?php if ( empty($excerpt_length) ) { ?>
						<p class="excerpt service-details">
							<?php echo esc_html( strip_shortcodes( get_the_excerpt() ) )?>
						</p>
					<?php } else { ?>
						<p class="excerpt service-details">
							<?php $excerpt = get_the_excerpt(); echo esc_html( intreon_wp_slice_excerpt_by_length( $excerpt, $excerpt_length ) ); ?>
						</p>
					<?php } ?>
				<?php endif; ?>
				<?php if ( $show_view_details_button == 'yes' ) : ?>
					<?php mascot_core_intreon_wp_get_cpt_shortcode_template_part( 'button', null, 'services/tpl', $params, false ); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>